## bs2b bs2b |

## Types and Values

struct | GstBs2b

## Description

## Synopsis

### Element Information

plugin | bs2b
author | Christoph Reiter <reiter.christoph@gmail.com>
class | Effect/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-raw, format=(string){ S8, U8, S16LE, S16BE, U16LE, U16BE, S32LE, S32BE, U32LE, U32BE, S24LE, S24BE, U24LE, U24BE, F32LE, F32BE, F64LE, F64BE }, rate=(int)[ 2000, 384000 ], channels=(int)2, channel-mask=(bitmask)0x0000000000000003, layout=(string)interleaved
| audio/x-raw, channels=(int)1

name | src
direction | source
presence | always
details | audio/x-raw, format=(string){ S8, U8, S16LE, S16BE, U16LE, U16BE, S32LE, S32BE, U32LE, U32BE, S24LE, S24BE, U24LE, U24BE, F32LE, F32BE, F64LE, F64BE }, rate=(int)[ 2000, 384000 ], channels=(int)2, channel-mask=(bitmask)0x0000000000000003, layout=(string)interleaved
| audio/x-raw, channels=(int)1

## Functions

## Types and Values

### struct GstBs2b

    struct GstBs2b {
      GstAudioFilter element;
    };